Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.descriptors
Class GradientCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.DialogCellEditor
              org.eclipse.gmf.runtime.diagram.ui.properties.descriptors.GradientCellEditor

    public class GradientCellEditor

extends DialogCellEditor

A cell editor that manages the gradient field.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.DialogCellEditor
`CELL_EDITOR_IMG_DOTS_BUTTON`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`GradientCellEditor(Composite parent)` Creates a new GradientCellEditor with the given control as the parent.
`GradientCellEditor(Composite parent, int style)` Creates a new GradientCellEditor with the given control as the parent.

Method Summary
`protected Control` `createContents(Composite cell)` Creates gradientLabel
`protected java.lang.Object` `openDialogBox(Control cellEditorWindow)` Opens GradientSelectionDialog without transparency setting available, receives the return values and uses them to create the resulting GradientData object.
`protected void` `updateContents(java.lang.Object value)` Updates the contents of this cell editor, i.e. the value of gradientLabel with the given value.

Methods inherited from class org.eclipse.jface.viewers.DialogCellEditor
`createButton, createControl, deactivate, doGetValue, doSetFocus, doSetValue, getDefaultLabel`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, deactivate, dependsOnExternalFocusListener, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getDoubleClickTimeout, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCorrect, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, keyReleaseOccured, markDirty, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GradientCellEditor

    public GradientCellEditor(Composite parent)

  Creates a new GradientCellEditor with the given control as the parent.

  Parameters:
    `parent` - the parent control

### GradientCellEditor

    public GradientCellEditor(Composite parent,
                              int style)

  Creates a new GradientCellEditor with the given control as the parent.

  Parameters:
    `parent` - the parent control
    `style` - the style bits

Method Detail

### openDialogBox

    protected java.lang.Object openDialogBox(Control cellEditorWindow)

  Opens GradientSelectionDialog without transparency setting available, receives the return values and uses them to create the resulting GradientData object.

  Specified by:
    `openDialogBox` in class `DialogCellEditor`
  See Also:
    `DialogCellEditor.openDialogBox(org.eclipse.swt.widgets.Control)`

### createContents

    protected Control createContents(Composite cell)

  Creates gradientLabel

  Overrides:
    `createContents` in class `DialogCellEditor`
  See Also:
    `DialogCellEditor.createContents(org.eclipse.swt.widgets.Composite)`

### updateContents

    protected void updateContents(java.lang.Object value)

  Updates the contents of this cell editor, i.e. the value of gradientLabel with the given value. Parameter value is a string if this method is called when user selects the editor. Parameter value is GradientData if this method is called after user changed gradient (after opening GradientSelectionDialog from this cell editor)

  Overrides:
    `updateContents` in class `DialogCellEditor`
  See Also:
    `DialogCellEditor.updateContents(java.lang.Object)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.